Subject: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Aaron Jensen <[email-masked]>
Date: Mon, 5 Nov 2018 08:20:40 -0800

Answering below in case it’s still helpful.

On November 3, 2018 at 11:19:28 AM, Eli Zaretskii
([email-masked](mailto:[email-masked])) wrote:

> > No, the problem is with the redrawing the cursor on the row that in the active window *before* the image
> > loads. See the attached gif. Frame 2 of the gif shows the blank. Frame 1 is before I press enter. When I press
> > enter, which triggers a find-file on that image, it blanks the line, then loads the image.
>
> Are you sure it blanks the line _before_ loading the image? Could it
> be that it blanks the line because it needs to display the image in
> its stead?

I’m not sure. Chronologically, it blanks it before loading the image.
What’s causing it to blank it, I cannot say, but perhaps Alan’s other
recent emails help with that.

> And how is the cursor drawing involved in this?

It’s always the line with the cursor that blanks. Sometimes it blanks
from the cursor to the end of the line. Sometimes from the start of
the line to the cursor and sometimes the entire line. That’s all I
know about the cursor’s involvement.

Aaron